Bug 127998 - Rake Runner dialog
Rake Runner dialog
Status: RESOLVED FIXED
Product: ruby
Classification: Unclassified
Component: Rake
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Martin Krauskopf
issues@ruby
:
Depends on:
Blocks: 124127
  Show dependency treegraph
 
Reported: 2008-02-21 10:46 UTC by richo
Modified: 2008-04-30 04:34 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description richo 2008-02-21 10:46:08 UTC
I would like a "Go to rake" dialog, it would look just like the "Go to Type" and "Go to File" dialogs, but instead
contain all the rake tasks.

So rather than navigating down a hierarchy of popup menus off the project node I just hit alt+shift+R (or other key
combo if that is taken) and up pops the "Go to Rake" dialog.

All the rake tasks are listed in the list with all the normal filtering capabilities of the other "Go to" dialogs. So I
just start typing with the list acting as a visual clue on what's available and hit enter to run the rake task (closing
the dialog and opening the Output window like the menus do).
Comment 1 Martin Krauskopf 2008-04-28 15:53:45 UTC
Will work on this, reassigning.
Comment 2 Martin Krauskopf 2008-04-29 20:27:51 UTC
Fixed: f4db162c56be, dfcadc2e6ec9, 1bd7ff52c809, 2c6e8481a49e

See http://wiki.netbeans.org/RubyRake for more details.
Comment 3 Quality Engineering 2008-04-30 04:34:43 UTC
Integrated into 'main-golden', available in NB_Trunk_Production #166 build
Changeset: http://hg.netbeans.org/main/rev/f4db162c56be
User: Martin Krauskopf <mkrauskopf@netbeans.org>
Log: #127998: Rake Runner dialog
- initial version + related larger refactorings, clean up, ...
- s/Target/Task everywhere
- more to come


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo